Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kie.api.event.rule
Interface WorkingMemoryEventManager

All Known Subinterfaces:
  KieRuntime, KieRuntimeEventManager, KieSession, RuleRuntimeEventManager, StatelessKieSession

All Known Implementing Classes:
  org.drools.core.impl.AbstractRuntime, StatefulProcessSession

Deprecated. This will be removed in drools 6.1 Use `RuleRuntimeEventManager`

    public interface WorkingMemoryEventManager

Method Summary
`void` | `addEventListener(AgendaEventListener listener)` Deprecated. Add an event listener.
`void` | `addEventListener(WorkingMemoryEventListener listener)` Deprecated. Add an event listener.
`Collection<AgendaEventListener>` | `getAgendaEventListeners()` Deprecated. Returns all event listeners.
`Collection<WorkingMemoryEventListener>` | `getWorkingMemoryEventListeners()` Deprecated. Returns all event listeners.
`void` | `removeEventListener(AgendaEventListener listener)` Deprecated. Remove an event listener.
`void` | `removeEventListener(WorkingMemoryEventListener listener)` Deprecated. Remove an event listener.

Method Detail

### addEventListener

    void addEventListener(WorkingMemoryEventListener listener)

  Deprecated.
  Add an event listener.

  Parameters:
    `listener` - The listener to add.

### removeEventListener

    void removeEventListener(WorkingMemoryEventListener listener)

  Deprecated.
  Remove an event listener.

  Parameters:
    `listener` - The listener to remove.

### getWorkingMemoryEventListeners

    Collection<WorkingMemoryEventListener> getWorkingMemoryEventListeners()

  Deprecated.
  Returns all event listeners.

  Returns:
    listeners The listeners.

### addEventListener

    void addEventListener(AgendaEventListener listener)

  Deprecated.
  Add an event listener.

  Parameters:
    `listener` - The listener to add.

### removeEventListener

    void removeEventListener(AgendaEventListener listener)

  Deprecated.
  Remove an event listener.

  Parameters:
    `listener` - The listener to remove.

### getAgendaEventListeners

    Collection<AgendaEventListener> getAgendaEventListeners()

  Deprecated.
  Returns all event listeners.

  Returns:
    listeners The listeners.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.